# Instalación de requerimientos para Python

En esta plantilla encontrará:

- [compile_docker_image.sh](compile_docker_image.sh): Un script que construye y despliega la imagen automáticamente al registro de CIBioFi
- [condor.submit](condor.submit): El archivo para enviar la tarea a HTCondor
- [Dockerfile](Dockerfile): Archivo de construcción de imagen Docker personalizada
- [requirements.py](requirements.py): Script con código fuente
- [requirements.txt](requirements.txt): Archivo de requerimientos de Python

## Instruciones de uso

Por favor modifique el archivo `requirements.txt` indicando las librerías necesarias para su script

```R
django==2.2.0
```

Modifique luego el archivo requirements.py y coloque aquí su script.

Por último ingrese al nodo master.cibiofi.univalle.edu.co (192.168.27.25) mediante SSH y copie en su sistema de archivos la plantilla modificada (use SCP o Filezilla)

Ejecute el script `compile_docker_image.sh`

```bash
bash compile_docker_image.sh
```

Y por último envíe la tarea usando

```bash
condor_submit condor.submit
```
